	import * as THREE from 'three';

	// corrector
	export function corrector(length=170) {
		const CorrectorContiner = new THREE.Object3D();
		const correctorObject = new THREE.Object3D();
		
		// box esterno
		const correctormaterial = new THREE.MeshLambertMaterial({color: 0x4040b0, side: THREE.DoubleSide});
		const correctorgeometry = new THREE.CylinderGeometry(250 /*radiusTop*/, 250 /*radiusBottom*/, length /*height*/, 4 /*radialSegments*/, 2 /*heightSegments*/, true /*openEnded*/,0 /*thetaStart*/, Math.PI * 2 /*thetaLength*/);
		const d1mesh = new THREE.Mesh(correctorgeometry, correctormaterial);
		correctormaterial.flatShading = true;
		d1mesh.position.set(0, 0, 0);
		d1mesh.rotateX(Math.PI * 1.25);
		d1mesh.rotateY(Math.PI * 1);
		d1mesh.rotateZ(Math.PI * 1.5);	
		correctorObject.add(d1mesh);
		
		// box up
		const correctormaterial2 = new THREE.MeshLambertMaterial({color: 0x4040b0});
		const correctorgeometry2 = new THREE.CylinderGeometry(55, 55, 120);
		const d2mesh = new THREE.Mesh(correctorgeometry2, correctormaterial2);
		d2mesh.position.set(0, 100, 0);
		d2mesh.rotateX(Math.PI * 1.5);
		correctorObject.add(d2mesh);		
		
		// box left
		const correctormaterial3 = new THREE.MeshLambertMaterial({color: 0x4040b0});
		const correctorgeometry3 = new THREE.CylinderGeometry(55, 55, 120);
		const d3mesh = new THREE.Mesh(correctorgeometry3, correctormaterial3);
		d3mesh.position.set(0, -40, 100);
		d3mesh.rotateX(Math.PI * 1.0);
		correctorObject.add(d3mesh);		
		
		// box right
		const correctormaterial4 = new THREE.MeshLambertMaterial({color: 0x4040b0});
		const correctorgeometry4 = new THREE.CylinderGeometry(55, 55, 120);
		const d4mesh = new THREE.Mesh(correctorgeometry4, correctormaterial4);
		d4mesh.position.set(-0, -40, -100);
		d4mesh.rotateX(Math.PI * 1.0);
		correctorObject.add(d4mesh);		
		
		correctorObject.position.set(0, 0, 0);
		CorrectorContiner.add(correctorObject);
		CorrectorContiner.rotateY(Math.PI * -0.5);		
		
		
		return CorrectorContiner;
	}
